NULL {base} | R Documentation

## The Null Object

### Description

`NULL` represents the null object in R: it is a reserved word. NULL is often returned by expressions and functions whose value is undefined: it is also used as the empty pairlist.

`as.null` ignores its argument and returns the value `NULL`.

`is.null` returns `TRUE` if its argument is `NULL` and `FALSE` otherwise.

### Usage

    NULL
    as.null(x, ...)
    is.null(x)

### Arguments

`x` | an object to be tested or coerced.
`...` | ignored.

### Note

`is.null` is a primitive function.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### Examples

    is.null(list())    # FALSE (on purpose!)
    is.null(integer(0))# F
    is.null(logical(0))# F
    as.null(list(a=1,b='c'))

[Package base version 2.15.1 Index]